> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamkap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Logs For Pipelines



## OpenAPI

````yaml /openapi/openapi.json get /pipelines/logs
openapi: 3.1.0
info:
  title: Streamkap REST API
  description: >-
    The Streamkap REST API allows you to programmatically manage your CDC
    pipelines, sources, destinations, transforms, and more.


    Authenticate using a bearer token obtained from the [Access
    Token](/api-reference/auth/access-token) endpoint with your API client
    credentials.
  contact:
    name: Streamkap Support
    url: https://streamkap.com/
    email: support@streamkap.com
  license:
    name: Proprietary
  version: 2.0.0
servers:
  - url: https://api.streamkap.com
    description: Production
security: []
tags:
  - name: Alerts
    description: Manage alert subscribers, preferences, and notification credentials.
  - name: Authentication
    description: Obtain and refresh access tokens, manage client credentials and roles.
  - name: Billing
    description: Retrieve usage metrics, summaries, and export billing data.
  - name: Consumer Groups
    description: List, inspect, and reset Kafka consumer group offsets.
  - name: Dashboard
    description: Retrieve organisation-level statistics and overview data.
  - name: Destinations
    description: Create, configure, and manage data destinations and their lifecycle.
  - name: Kafka Access
    description: Manage Kafka users and their access permissions.
  - name: Logs
    description: Query and summarise system logs.
  - name: Pipelines
    description: Create, configure, and manage CDC pipelines and their lifecycle.
  - name: Project Keys
    description: Manage project keys that bundle API credentials and optional Kafka access.
  - name: Schema Registry
    description: Browse schema subjects, versions, and retrieve schema definitions.
  - name: Services
    description: View and switch service metadata.
  - name: Sources
    description: >-
      Create, configure, and manage data sources, snapshots, and their
      lifecycle.
  - name: Tags
    description: Create, update, and manage resource tags for organisation.
  - name: Topics
    description: Browse topic details, statistics, configurations, metrics, and messages.
  - name: Transforms
    description: >-
      Create, deploy, and manage data transforms, unit tests, and implementation
      details.
paths:
  /pipelines/logs:
    get:
      tags:
        - Pipelines
      summary: Get Logs For Pipelines
      operationId: listPipelineLogs
      parameters:
        - name: size
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 1000
                minimum: 10
              - type: 'null'
            title: Size
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: From
        - name: log_level
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 'A comma-separated list of log level. Example: INFO,WARN'
            title: Log Level
          description: 'A comma-separated list of log level. Example: INFO,WARN'
        - name: query_string
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Query String
        - name: timestamp_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: string
                format: date-time
              - type: 'null'
            description: 'Example: 2025-07-30T07:54:13.922'
            title: Timestamp To
          description: 'Example: 2025-07-30T07:54:13.922'
        - name: timestamp_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: string
                format: date-time
              - type: 'null'
            description: 'Example: 2025-07-30T07:54:13.922'
            title: Timestamp From
          description: 'Example: 2025-07-30T07:54:13.922'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineMetricsRes'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - FronteggHTTPAuthentication: []
components:
  schemas:
    PipelineMetricsRes:
      properties:
        account_metrics:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/PipelineBaseMetrics'
              type: object
            - type: 'null'
          title: Account Metrics
        connector_metrics:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/PipelineBaseMetrics'
              type: object
            - type: 'null'
          title: Connector Metrics
        inline_metrics:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/PipelineBaseMetrics'
              type: object
            - type: 'null'
          title: Inline Metrics
        task_metrics:
          anyOf:
            - additionalProperties:
                additionalProperties:
                  $ref: '#/components/schemas/PipelineBaseMetrics'
                type: object
              type: object
            - type: 'null'
          title: Task Metrics
        topic_metrics:
          anyOf:
            - additionalProperties:
                additionalProperties:
                  $ref: '#/components/schemas/PipelineBaseMetrics'
                type: object
              type: object
            - type: 'null'
          title: Topic Metrics
      additionalProperties: true
      type: object
      title: PipelineMetricsRes
      description: Pipeline metrics response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PipelineBaseMetrics:
      properties:
        timeseries:
          anyOf:
            - $ref: '#/components/schemas/PipelineTimeseriesMetrics'
            - type: 'null'
        latest:
          anyOf:
            - $ref: '#/components/schemas/PipelineLatestMetrics'
            - type: 'null'
        timesummary:
          anyOf:
            - $ref: '#/components/schemas/PipelineTimesummaryMetrics'
            - type: 'null'
      additionalProperties: true
      type: object
      title: PipelineBaseMetrics
      description: Pipeline base metrics.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PipelineTimeseriesMetrics:
      properties:
        latency:
          items:
            $ref: '#/components/schemas/TimeseriesEntry'
          type: array
          title: Latency
          default: []
        recordsLag:
          items:
            $ref: '#/components/schemas/TimeseriesEntry'
          type: array
          title: Recordslag
          default: []
        status:
          items:
            $ref: '#/components/schemas/TimeseriesEntry'
          type: array
          title: Status
          default: []
      additionalProperties: true
      type: object
      title: PipelineTimeseriesMetrics
      description: Pipeline timeseries metrics.
    PipelineLatestMetrics:
      properties:
        latency:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          title: Latency
        recordsLag:
          anyOf:
            - type: integer
            - type: string
            - type: 'null'
          title: Recordslag
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
      additionalProperties: true
      type: object
      title: PipelineLatestMetrics
      description: Pipeline latest metrics.
    PipelineTimesummaryMetrics:
      properties:
        latency:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          title: Latency
        recordsLag:
          anyOf:
            - type: integer
            - type: string
            - type: 'null'
          title: Recordslag
        status:
          anyOf:
            - type: integer
            - type: string
            - type: 'null'
          title: Status
      additionalProperties: true
      type: object
      title: PipelineTimesummaryMetrics
      description: Pipeline timesummary metrics.
    TimeseriesEntry:
      properties:
        value:
          anyOf:
            - type: integer
            - type: number
          title: Value
          description: The metric value at this timestamp
        timestamp:
          type: string
          title: Timestamp
          description: ISO 8601 timestamp for this data point
      additionalProperties: true
      type: object
      required:
        - value
        - timestamp
      title: TimeseriesEntry
      description: A single data point in a time series.
  securitySchemes:
    FronteggHTTPAuthentication:
      type: http
      scheme: bearer

````